/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sg.balancedlibrary.replaceMaterial.service;

import com.jeeplus.core.persistence.Page;
import com.jeeplus.core.service.CrudService;
import com.jeeplus.modules.sg.balancedlibrary.liKuResourcePool.entity.LiKuResourcePool;
import com.jeeplus.modules.sg.balancedlibrary.liKuResourcePool.mapper.LiKuResourcePoolMapper;
import com.jeeplus.modules.sg.balancedlibrary.replaceMaterial.entity.ReplaceMaterial;
import com.jeeplus.modules.sg.balancedlibrary.replaceMaterial.mapper.ReplaceMaterialMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 物料替换Service
 * @author enford
 * @version 1.0
 */
@Service
@Transactional(readOnly = true)
public class ReplaceMaterialService extends CrudService<ReplaceMaterialMapper, ReplaceMaterial> {

	@Override
	public ReplaceMaterial get(String id) {
		return super.get(id);
	}
	
	@Override
	public List<ReplaceMaterial> findList(ReplaceMaterial entity) {
		return super.findList(entity);
	}
	
	@Override
	public Page<ReplaceMaterial> findPage(Page<ReplaceMaterial> page, ReplaceMaterial entity) {
		return super.findPage(page, entity);
	}
	
	@Override
	@Transactional(readOnly = false)
	public void save(ReplaceMaterial entity) {
		super.save(entity);
	}
	
	@Override
	@Transactional(readOnly = false)
	public void delete(ReplaceMaterial entity) {
		super.delete(entity);
	}

	@Transactional(readOnly = false)
	public void insertList(List<ReplaceMaterial> list) {
		mapper.insertList(list);
	}

	public List<ReplaceMaterial> findAll() {
		return mapper.findAll();
	}
}